Package org.apache.synapse.transport.http.conn

# Enum SynapseWireLogHolder.PHASE

java.lang.Object
java.lang.Enum<SynapseWireLogHolder.PHASE>
org.apache.synapse.transport.http.conn.SynapseWireLogHolder.PHASE

All Implemented Interfaces:
  `Serializable`, `Comparable<SynapseWireLogHolder.PHASE>`, `java.lang.constant.Constable`

Enclosing class:
  `SynapseWireLogHolder`

public static enum SynapseWireLogHolder.PHASE extends Enum<SynapseWireLogHolder.PHASE>
These are the phases to determine request responses in wire level

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SOURCE_REQUEST_DONE`
  `SOURCE_REQUEST_READY`
  `SOURCE_RESPONSE_DONE`
  `SOURCE_RESPONSE_READY`
  `TARGET_REQUEST_DONE`
  `TARGET_REQUEST_READY`
  `TARGET_RESPONSE_DONE`
  `TARGET_RESPONSE_READY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SynapseWireLogHolder.PHASE`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static SynapseWireLogHolder.PHASE[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SOURCE_REQUEST_READY

    public static final SynapseWireLogHolder.PHASE SOURCE_REQUEST_READY

  - ### SOURCE_REQUEST_DONE

    public static final SynapseWireLogHolder.PHASE SOURCE_REQUEST_DONE

  - ### TARGET_REQUEST_READY

    public static final SynapseWireLogHolder.PHASE TARGET_REQUEST_READY

  - ### TARGET_REQUEST_DONE

    public static final SynapseWireLogHolder.PHASE TARGET_REQUEST_DONE

  - ### TARGET_RESPONSE_READY

    public static final SynapseWireLogHolder.PHASE TARGET_RESPONSE_READY

  - ### TARGET_RESPONSE_DONE

    public static final SynapseWireLogHolder.PHASE TARGET_RESPONSE_DONE

  - ### SOURCE_RESPONSE_READY

    public static final SynapseWireLogHolder.PHASE SOURCE_RESPONSE_READY

  - ### SOURCE_RESPONSE_DONE

    public static final SynapseWireLogHolder.PHASE SOURCE_RESPONSE_DONE

- ## Method Details

  - ### values

    public static SynapseWireLogHolder.PHASE[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SynapseWireLogHolder.PHASE valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null